Subject: Re: dd.exe
From: [email-masked] (Corinna Vinschen)

9 Jan 1999 20:54:43 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Bruno Yernaux <[email-masked]>, [email-masked]

Bruno Yernaux wrote:
> 
> Hello,
> 
> I would like to know how to use dd.exe to read and write the MBR (Master
> Boot record) of
> a disk.  For instance,
>             dd if=//./C: of=/tmp/bootsect bs=512 count=1
> will save the boot sector of the C: partition in C:\tmp\bootsect but I
> can't do the same for
> the MBR.
> 
> Thanks in advance

NT only:

Every drive has it's own number, which is given by an
algorithm, I don't know. You can get this number from
NT's Disk-Manager Tool, given on the left side of the
window. Let's say, the drive, which contains partition
C: is drive 0. In this case the name of the drive is

	\\.\physicaldrive0.

If you use my version of cygwin1.dll, which you can find in

ftp://ftp.franken.de/pub/win32/develop/gnuwin32/cygwin32/porters/Vinschen_Corinna/B20

as
	cv_cygwin1.dll.README
	cv_cygwin1.dll.tar.gz

you are able, to mount raw partitions and drives, e.g.

	mount -b //./physicaldrive0 /dev/hda0
	dd if=/dev/hda0 of=/tmp/bootsect bs=512 count=1

Hope, this helps,
Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".